Package io.strimzi.systemtest.utils.kafkaUtils

## Class KafkaBridgeUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.kafkaUtils.KafkaBridgeUtils

-     public class KafkaBridgeUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `checkSendResponse​(io.vertx.core.json.JsonObject response, int messageCount)` |
    `static io.fabric8.kubernetes.api.model.Service` | `createBridgeNodePortService​(String clusterName, String namespace, String serviceName)` |
    `static int` | `getBridgeNodePort​(String namespace, String bridgeExternalService)` |
    `static void` | `waitForKafkaBridgeNotReady​(String clusterName)` |
    `static void` | `waitForKafkaBridgeReady​(String clusterName)` |
    `static void` | `waitForKafkaBridgeStatus​(String clusterName, Enum<?> state)` | Wait until KafkaBridge is in desired state

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBridgeNodePort

          public static int getBridgeNodePort​(String namespace,
                                              String bridgeExternalService)

    - #### createBridgeNodePortService

          public static io.fabric8.kubernetes.api.model.Service createBridgeNodePortService​(String clusterName,
                                                                                            String namespace,
                                                                                            String serviceName)

    - #### checkSendResponse

          public static void checkSendResponse​(io.vertx.core.json.JsonObject response,
                                               int messageCount)

    - #### waitForKafkaBridgeStatus

          public static void waitForKafkaBridgeStatus​(String clusterName,
                                                      Enum<?> state)

      Wait until KafkaBridge is in desired state
      Parameters:
        `clusterName` - name of KafkaBridge cluster
        `state` - desired state

    - #### waitForKafkaBridgeReady

          public static void waitForKafkaBridgeReady​(String clusterName)

    - #### waitForKafkaBridgeNotReady

          public static void waitForKafkaBridgeNotReady​(String clusterName)